using VeterinaryContracts.BindingModels;
using VeterinaryContracts.SearchModels;
using VeterinaryContracts.ViewModels;

namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IVisitLogic
	{
		List<VisitViewModel>? ReadList(VisitSearchModel? model);
		VisitViewModel? ReadElement(VisitSearchModel model);
		bool Create(VisitBindingModel model);
		bool Update(VisitBindingModel model);
		bool Delete(VisitBindingModel model);
	}
}
